<div>
  <p>Enter the amount to credit your account:</p>
  <input type="number" min="0" class="form-control" aria-label="Credit amount" [(ngModel)]="amountToCredit">
  <hr />
  <div>
    <button type="button" label="Credit account" (click)="creditAccount(amountToCredit)" pButton></button>
  </div>
</div>